Struts2使用Tile 2.1或2.2

似乎没有一种简单的方法可以在现有的struts2-tiles插件中使用带有Struts2的Tiles 2.1或2.2.我需要在我的项目中使用tiles通配符功能,其中tiles.xml变得不可维护.

有没有办法用struts2设置图块2.1或2.2?怎么样?

谢谢,

博佐

据我所知,目前struts2主要版本发布的是2.0.6版本.因为tile 2.1已经添加了通配符支持所以我担心你不能在当前版本的插件中使用通配符.
如果你想用struts2设置磁贴2.1,你必须自己调整插件或等待下一个版本.
如果要为定义设置一些动态值,也可以考虑使用编写器.希望这可以帮助.
你可以查看这个 issue for tiles插件尚未解决.
相关文章
相关标签/搜索